#include <iostream>
#include <ArgsParser.hpp>

int main(int argc, char* argv[]) {

    std::vector<std::string> arguments (argv, argv+argc);


    for (auto& entry : arguments) {
        std::cout << entry << " ";
    }
    std::cout << std::endl;

    ArgsParser args(argc, argv);
    args.consume_next(); // Consume file-name.

    if (args.has_flag("--help")) {
        std::cout << "Help information displayed here!" << std::endl;
        return 0;
    }

    for (auto& entry : args.get_remaining_args()) {
        std::cout << entry << " ";
    }
    std::cout << std::endl;

    while (args.has_next()) {
        std::string token = args.consume_next();

        std::cout << token << " ";
    }

    std::cout << std::endl;


    return 0;
}